GCLOUD_ML-ENGINE_VERSIONS_CREATE(1)

NAME

gcloud ml-engine versions create - create a new Cloud ML Engine version

SYNOPSIS

gcloud ml-engine versions create VERSION --model=MODEL --origin=ORIGIN [--async] [--runtime-version=RUNTIME_VERSION] [--staging-bucket=STAGING_BUCKET] [GLOBAL-FLAG ...]

DESCRIPTION
Create a new Cloud ML Engine version.

POSITIONAL ARGUMENTS

    VERSION
        Name of the model version.

REQUIRED FLAGS

    --model=MODEL
        Name of the model.

    --origin=ORIGIN
        Location of model/ "directory" (as output by https://www.tensorflow.org/versions/r0.12/api_docs/python/state_ops.html#Saver). Can be a Google Cloud Storage (gs://) path or local file path (no prefix). In the latter case the files will be uploaded to Google Cloud Storage and a --staging-bucket argument is required.

OPTIONAL FLAGS

    --async
        Display information about the operation in progress, without waiting for the operation to complete.

    --runtime-version=RUNTIME_VERSION
        The Google Cloud ML Engine runtime version for this job. Defaults to the latest stable version. See https://cloud.google.com/ml/docs/concepts/runtime-version-list for a list of accepted versions.

    --staging-bucket=STAGING_BUCKET
        Bucket in which to stage training archives. Required only if a file upload is necessary (that is, other flags include local paths) and no other flags implicitly specify an upload path.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.